#!/bin/sh
. ./all.env
cat <<EOF > $TEMPPAT
relays.ordb.org: 127.0.0.2 rejected
relays.ordb.org: 192.168.1.1 Unknown host
relays.ordb.org: 127 Invalid argument
EOF
cd ..
$PROG -Drbl -X"relays.ordb.org,127.0.0.2" > $TEMPOUT
$PROG -Drbl -X"relays.ordb.org,192.168.1.1" >> $TEMPOUT
$PROG -Drbl -X"relays.ordb.org,127" >> $TEMPOUT
if `diff $TEMPPAT $TEMPOUT`; then
	echo "	"$0:"		"OK
	rm $TEMPPAT $TEMPOUT
	exit 0
fi
echo "	"$0:"		"failed
diff -c $TEMPPAT $TEMPOUT
rm $TEMPPAT $TEMPOUT
exit 1
